FreeMat

- Main Page
- Related Pages

vtkRandomSequence

Section: Visualization Toolkit Common Classes

# Usage

vtkRandomSequence defines the interface of any sequence of random numbers.

At this level of abstraction, there is no assumption about the distribution of the numbers or about the quality of the sequence of numbers to be statistically independent. There is no assumption about the range of values.

To the question about why a random "sequence" class instead of a random "generator" class or to a random "number" class?, see the OOSC book: "Object-Oriented Software Construction", 2nd Edition, by Bertrand Meyer. chapter 23, "Principles of class design", "Pseudo-random number generators: a design exercise", page 754–755.

To create an instance of class vtkRandomSequence, simply invoke its constructor as follows

      obj = vtkRandomSequence

# Methods

The class vtkRandomSequence has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRandomSequence class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRandomSequence = obj.NewInstance ()`
- `vtkRandomSequence = obj.SafeDownCast (vtkObject o)`
- `double = obj.GetValue ()` - Current value
- `obj.Next ()` - Move to the next number in the random sequence.